package edu.stanford.nlp.parser.lexparser;

import java.io.Serializable;

/**
 * Parent class for unary and binary rules.
 *
 * @author Dan Klein
 */
public class Rule implements Serializable {

  public int parent = -1;

  public double score = Double.NaN;

  public double score() {
    return score;
  }

  public boolean isUnary() {
    return false;
  }

  private static final long serialVersionUID = 1L;

}
