package edu.stanford.nlp.trees.international.negra;

import edu.stanford.nlp.io.*;
import java.io.*;

/** Produces a tokenizer for the Negra export format.
 * @author Roger Levy
 */
public class NegraTokenizer extends AbstractStreamTokenizer {
  public NegraTokenizer(Reader r) {
    super(new NegraLexer(r));
  }


  public static void main(String[] args) throws IOException {
    
    Reader in = new FileReader(args[0]);
    
    edu.stanford.nlp.io.StreamTokenizer st = new NegraTokenizer(in);
    
    String s;
    while ((s = st.next()) != null) {
      System.out.println(s);
    }
    
  }
  

}
