package edu.stanford.nlp.io;


/** An unchecked version of {@link java.io.IOException}. Thrown by
 * {@link edu.stanford.nlp.process.Tokenizer} implementing classes,
 * among other things.
*/
public class RuntimeIOException extends RuntimeException {

  /** creates a new exception. */
  public RuntimeIOException() {}


  /** creates a new exception with a message.
   *  @param message the message for the exception
   */
  public RuntimeIOException(String message) {
    super(message);
  }



}
