package edu.stanford.nlp.util;

import java.util.Comparator;

/**
 * Comparator that says every pair of objects is tied.
 *
 * @author Dan Klein (klein@cs.stanford.edu)
 */
public class NullComparator implements Comparator {
  public int compare(Object a, Object b) {
    return 0;
  }
}
