package edu.stanford.nlp.util;

public class PrettyDouble {

    public static String toPrettyString(double d, int length) {
	String s = Double.toString(d);
	int i = s.indexOf(".");
	String dec = s.substring(0,i);
	String frac = s.substring(i+1);
	
	int lengthRemaining = length - dec.length() - 1;

	if (lengthRemaining < -1) return null;
	else if (lengthRemaining == -1) return dec;
	else if (frac.length() > lengthRemaining)
	    frac = frac.substring(0,lengthRemaining);
	else
	    while (frac.length() < lengthRemaining)
		frac = frac + "0";
	
	return dec + "." + frac;

    }

    public static void main(String args[]) {
	System.out.println(PrettyDouble.toPrettyString(Double.parseDouble(args[0]), Integer.parseInt(args[1])));
	
	//double d = 1.0 / 3.0;
	//System.out.println(PrettyDouble.toPrettyString(d, 5));
	
   }

}
